<?php
// PHP SETI@home Web Monitor (phpsetimon).
// Copyright 2003 by Mario A. Valdez-Ramirez
// http://www.mariovaldez.net/

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.

// You can contact Mario A. Valdez-Ramirez by email
// at mario@mariovaldez.org or paper mail at
// Olmos 809, San Nicolas, NL. 66495, Mexico.

//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

require_once ("seticlients.inc.php");
require_once ("config.inc.php");
require_once ("seti_lib.inc.php");
require_once ("seti_data.inc.php");
require_once ("seti_graphs.inc.php");




echo "<HTML>\n<HEAD>\n<TITLE>$ps_title $ps_servername</TITLE>\n
<LINK REL=\"stylesheet\" TYPE=\"text/css\" HREF=\"seti.css\">\n
</HEAD>\n";
echo "<BODY BGCOLOR=\"#000000\" TEXT=\"#FFFFFF\" link=\"#99CCFF\" alink=\"#FF3333\" vlink=\"#CC99FF\" leftmargin=\"10\" topmargin=\"10\" rightmargin=\"10\" bottommargin=\"10\">\n";
// Display page header and title...
echo "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"3\"><tr><td>";
echo "<img src=\"phpsetimon_banner_small.png\" widht=\"300\" height=\"60\" border=\"0\" alt=\"$ps_title\">";
echo "</td><td align=\"right\">";
echo "<h1>$ps_servername</h1>";
echo "</td></tr></table>";
// Display navigation...
echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"3\"><tr>";
for ($ps_igc = 1; $ps_igc <= $ps_seti_instances; $ps_igc++) {
  if ($ps_igc == $instance) { $ps_curnavstyle = "navsel"; } else { $ps_curnavstyle = "nav"; }
  if ($ps_seti_instances > 1) {
    if ($ps_homename[$ps_igc]) {
      echo "<td class=\"$ps_curnavstyle\" align=\"center\">";
      echo "<a href=\"" . $HTTP_SERVER_VARS["PHP_SELF"] . "?instance=$ps_igc&bigmap=$ps_cfg_showbigmap\">" . $ps_homename[$ps_igc] . "</a>";
      echo "<br>" . fnps_showislocal ($ps_homeislocal[$ps_igc]);
      echo "</td>";
    }
    else {
      echo "<td class=\"$ps_curnavstyle\" align=\"center\">";
      echo "<a href=\"" . $HTTP_SERVER_VARS["PHP_SELF"] . "?instance=$ps_igc&bigmap=$ps_cfg_showbigmap\">client$ps_igc</a>";
      echo "<br>" . fnps_showislocal ($ps_homeislocal[$ps_igc]);
      echo "</td>";
    }
  }
  else {
    echo "<td class=\"$ps_curnavstyle\" align=\"center\">";
    echo "<a href=\"" . $HTTP_SERVER_VARS["PHP_SELF"] . "?instance=1&bigmap=$ps_cfg_showbigmap\">Refresh</a>";
    echo "<br>" . fnps_showislocal ($ps_homeislocal[1]);
    echo "</td>";
  }
}
echo "</tr></table>";



if (($ps_cfg_createbigmap || $ps_cfg_createhistory) && $ps_cfg_showbigmap) {
  // Display big skymap and history...
  echo "<hr><p><a href=\"" . $HTTP_SERVER_VARS["PHP_SELF"] . "?instance=$instance\">Return to statistics</a>.</p>";
  if ($ps_imagemap_exists) {
    echo "<p><a href=\"$ps_imagemap_filename\">Open the big skymap image only</a>.</p>";
    echo "<p align=\"center\"><iframe src=\"$ps_imagemap_filename\" width=\"$ps_cfg_mapframeX\" height=\"$ps_cfg_mapframeY\" MARGINWIDTH=\"0\" MARGINHEIGHT=\"0\"></iframe></p>";
  }
  if ($ps_history_listfull && $ps_cfg_createhistory) {
    echo "<table border=\"1\" align=\"center\" cellspacing=\"0\" cellpadding=\"2\">";
    echo "<tr><td class=\"head\" align=\"center\">RA</td>";
    echo "<td class=\"head\" align=\"center\">Dec</td>";
    echo "<td class=\"head\" align=\"center\">Angle</td>";
    echo "<td class=\"head\" align=\"center\">Data date</td>";
    echo "<td class=\"head\" align=\"center\">Data ID</td></tr>";
    $ps_maxh_items = count ($ps_history_listfull);
    for ($ps_hc = 0; $ps_hc < $ps_maxh_items; ($ps_hc += 5)) {
      echo "<tr>";
      echo "<td class=\"data\" align=\"right\">" . fnps_secstotime2 ($ps_history_listfull[$ps_hc] * 3600, "hr") . "</td>";
      echo "<td class=\"data\" align=\"right\">" . fnps_secstotime2 ($ps_history_listfull[$ps_hc+1] * 3600, "deg") . "</td>";
      echo "<td class=\"data\" align=\"right\">" . $ps_history_listfull[$ps_hc+2] . "</td>";
      echo "<td class=\"data\">" . $ps_history_listfull[$ps_hc+3] . "</td>";
      echo "<td class=\"data\">" . $ps_history_listfull[$ps_hc+4] . "</td>";
      echo "</tr>";
    }
    echo "</table>";
  }
}
else {
  // Display user, work unit and process summary...
  echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"3\">";
  echo "<tr><td valign=\"top\"><table border=\"0\" cellspacing=\"0\" cellpadding=\"3\">";
  echo "<tr><td class=\"separator\"></td></tr>";
  echo "<tr><td class=\"head\">User</td></tr>";
  if ($ps_setiuser_rawdata) {
    echo "<tr><td class=\"data\">Username: " . $ps_username . "</td></tr>";
    echo "<tr><td class=\"data\">ID: " . $ps_userid . "</td></tr>";
    echo "<tr><td class=\"data\">Total results: " . $ps_totalresults . " work units" . "</td></tr>";
    echo "<tr><td class=\"data\">Total CPU Time: " . fnps_secstotime2 ($ps_totalcpu, "hr") . "</td></tr>";
    echo "<tr><td class=\"data\">CPU time per unit: " . fnps_secstotime2 ($ps_cpuperunit, "hr") . "</td></tr>";
    echo "<tr><td class=\"data\">SETI user for: " . round ($ps_usertime) . " days</td></tr>";
    echo "<tr><td class=\"data\">Results per day: " . round ($ps_unitsperday, 2) . "</td></tr>";
  }
    else {
      echo "<tr><td class=\"notice\">There is not user data.</td></tr>";
    }
  if (!$ps_results_waiting) {
    echo "<tr><td class=\"separator\"></td></tr>";
    echo "<tr><td class=\"head\">Work unit</td></tr>";
    if ($ps_setiwu_rawdata) {
      echo "<tr><td class=\"data\">Rec date: " . $ps_wutimerec . "</td></tr>";
      echo "<tr><td class=\"data\">ID: " . $ps_wuname . "</td></tr>";
      echo "<tr><td class=\"data\">Start: " . fnps_secstotime2 ($ps_wurastart * 3600, "hr") . " RA " . fnps_secstotime2 ($ps_wudecstart * 3600, "deg") . " Dec</td></tr>";
      echo "<tr><td class=\"data\">End: " . fnps_secstotime2 ($ps_wuraend * 3600, "hr") . " RA " . fnps_secstotime2 ($ps_wudecend * 3600, "deg") . " Dec</td></tr>";
      echo "<tr><td class=\"data\">Angle: " . $ps_wuangle . " deg</td></tr>";
    }
    else {
      echo "<tr><td class=\"notice\">There is not workunit.</td></tr>";
    }
    echo "<tr><td class=\"separator\"></td></tr>";
    echo "<tr><td class=\"head\">Processing</td></tr>";
    if ($ps_setistatus_rawdata) {
      echo "<tr><td class=\"data\">CPU time: " . fnps_secstotime2 ($ps_cputime, "hr") . "</td></tr>";
      echo "<tr><td class=\"data\">Remaining CPU time: " . fnps_secstotime2 ($ps_eta, "hr") . "</td></tr>";
      echo "<tr><td class=\"data\">Progress: " . round ($ps_progress, 1) . "%" . "</td></tr>";
      echo "<tr><td class=\"data\">" . fnps_drawbar ($ps_progress, $ps_cfg_procbarX) . "</td></tr>";

      echo "<tr><td class=\"data\">Best gaussian [fit: " . $ps_gaussian_fit . " power: " . $ps_gaussian_power . "]</td></tr>";
      echo "<tr><td class=\"data\">Best pulse [score: " . round ($ps_pulse_score, 2) . " power: " . round ($ps_pulse_power, 2) . " period: " . $ps_pulse_period . "]</td></tr>";
      // Display gaussian graph...
      if (($ps_cfg_creategauss) && ($ps_gaussgraph_exists)) {
        echo "<tr><td class=\"data\"><img src=\"$ps_gaussgraph_filename\" width=\"$ps_gaussgraph_Xsize\" height=\"$ps_gaussgraph_Ysize\"></td></tr>";
      }
    }
    else {
      echo "<tr><td class=\"notice\">There is not status data.</td></tr>";
    }
  }
  else {
    echo "<tr><td class=\"notice\">There are results waiting to be sent.</td></tr>";
  }
  echo "<tr><td class=\"separator\"></td></tr>";
  echo "<tr><td class=\"head\">Client software</td></tr>";
  if ($ps_client_is_running == 1) {
    echo "<tr><td class=\"data\">Process PID: " . $ps_client_pid . "</td></tr>";
    if ($ps_client_cpu) {
      echo "<tr><td class=\"data\">CPU usage: " . $ps_client_cpu . " %</td></tr>";
      echo "<tr><td class=\"data\">" . fnps_drawbar ($ps_client_cpu, $ps_cfg_procbarX, "red", "green") . "</td></tr>";
    }
    if ($ps_client_mem) {
      echo "<tr><td class=\"data\">Memory usage: " . $ps_client_mem . " %</td></tr>";
      echo "<tr><td class=\"data\">" . fnps_drawbar ($ps_client_mem, $ps_cfg_procbarX, "red", "green") . "</td></tr>";
    }
    if ($ps_client_nice)
      echo "<tr><td class=\"data\">Process priority: " . $ps_client_nice . "</td></tr>";
  }
  elseif ($ps_client_is_running == 0) {
    echo "<tr><td class=\"notice\">The client is not running.</td></tr>";
  }
  else {
    echo "<tr><td class=\"notice\">Cannot check if client is running.</td></tr>";
  }

  if ($ps_cfg_createbigmap || $ps_cfg_createhistory) {
    echo "<tr><td class=\"separator\"></td></tr>";
    echo "<tr><td class=\"head\">History</td></tr>";
    echo "<tr><td class=\"data\">";
    echo "<a href=\"" . $HTTP_SERVER_VARS["PHP_SELF"] . "?instance=$instance&bigmap=1\">Show the complete skymap and history</a>.";
    echo "</td></tr>";
  }

  echo "</table></td>";


  // Display zoomed and SkyView skymaps...
  echo "<td valign=\"top\">";
  echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"3\"><tr>";
  if (($ps_cfg_createzoom) && ($ps_zoommap_exists)) {
    echo "<td class=\"data\" align=\"center\" valign=\"top\">";
    echo "Skymap generated with <a href=\"http://starchart.sourceforge.net/\">StarChart</a><br>";

    echo "<img src=\"$ps_zoommap_filename\" width=\"$ps_zoommap_Xsize\" height=\"$ps_zoommap_Ysize\" border=\"0\">";
    echo "</td>";
  }
  if (!$ps_cfg_horlayout) echo "</tr><tr>";
  if (($ps_cfg_getskyview) && ($ps_skyview_exists)) {
    echo "<td class=\"data\" align=\"center\" valign=\"top\">";
    echo "<br>Skymap from <a href=\"$ps_skyview_mainurl\">NASA's SkyView</a><br>";
    echo "(using data from the <a href=\"http://archive.stsci.edu/dss/\">Digitized Sky Survey</a>):<br>";
    echo "<img src=\"$ps_skyview_filename\" width=\"$ps_skyview_Xsize\" height=\"$ps_skyview_Ysize\" border=\"0\"><br>";
    echo "This image is &copy;copyright by STScI,ROE,AAO,UK-PPARC,CalTech,NGS.</a>";
    echo "</td>";
  }
  elseif ((!$ps_results_waiting) && ($ps_setiwu_rawdata)) {
    echo "<td class=\"data\" valign=\"top\" align=\"center\">";
    if ($ps_cfg_linkskyview) {
      echo "<br><a target=\"_blank\" href=\"" . fnps_linkskyview ($ps_skyview_Xsize, $ps_skyview_Ysize, $ps_wurastart, $ps_wudecstart, $ps_skyview_Yrange, $ps_cfg_skyview_grid, $ps_cfg_skyview_log, $ps_cfg_skyview_color) . "\">";
      echo "View the NASA's SkyView skymap</a>.<br>";
    }
    if ($ps_cfg_getskyview) {
      echo "<br><a href=\"" . $HTTP_SERVER_VARS["PHP_SELF"] . "?instance=$instance&skyview=1\">Download the SkyView skymap permanently to this server</a> (it may take 1 or 2 minutes).";
    }
    echo "</td>";
  }
  echo "</tr></table>";
  echo "</td>";
  echo "</tr>";
  echo "</table>";
}



if ($regenerate) {
  echo "<p>Regenerating images.</p>";
}
// Display footer...
echo "<p align=\"right\">Generated by <a href=\"$ps_pssite\">$ps_name $ps_version</a>";
echo "</BODY></HTML>";



?>
