<?php
// PHP SETI@home Web Monitor (phpsetimon).
// Copyright 2003 by Mario A. Valdez-Ramirez
// http://www.mariovaldez.net/

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330,
// Boston, MA 02111-1307, USA.

// You can contact Mario A. Valdez-Ramirez by email
// at mario@mariovaldez.org or paper mail at
// Olmos 809, San Nicolas, NL. 66495, Mexico.

//%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


// Create sky maps and gaussian grahp and download from skyview tellescope...
$ps_imagemap_exists = is_readable ($ps_imagemap_filename);
$ps_zoommap_exists = is_readable ($ps_zoommap_filename);
$ps_gaussgraph_exists = is_readable ($ps_gaussgraph_filename);
$ps_skyview_exists = is_readable ($ps_skyview_filename);
if ($ps_setiwu_rawdata) {
  $ps_X = fnps_coordtopixel (true, $ps_wurastart, $ps_sourcemap_Xsize, $ps_sourcemap_maxXminutes) + $ps_sourcemap_Xoffset;
  $ps_Y = fnps_coordtopixel (false, $ps_wudecstart, $ps_sourcemap_Ysize, $ps_sourcemap_maxYminutes) + $ps_sourcemap_Yoffset;
  if ($ps_cfg_createbigmap && $ps_imagemap_filename && (!$ps_imagemap_exists || $regenerate)) {
    $ps_history_list = "";
    if ($ps_cfg_renderhistory)
      $ps_history_list = fnps_extract_history ($ps_curclientname, $ps_filename_separator . $ps_filename_prefix . $ps_filename_separator, false);
    fnps_renderbigmap ($ps_X, $ps_Y, $ps_imagemap_filename, $ps_cfg_createzoom, $ps_history_list);
    $ps_imagemap_exists = is_readable ($ps_imagemap_filename);
  }
  if ($ps_cfg_createzoom && $ps_zoommap_filename && (!$ps_zoommap_exists || $regenerate)) {
    fnps_renderzoommap ($ps_X, $ps_Y, $ps_zoommap_Xsize, $ps_zoommap_Ysize, $ps_zoommap_filename, fnps_secstotime2 ($ps_wurastart * 3600, "hr") . " RA ", fnps_secstotime2 ($ps_wudecstart * 3600, "deg") . " Dec");
    $ps_zoommap_exists = is_readable ($ps_zoommap_filename);
  }
  if ($ps_cfg_downloadskyview && $ps_skyview_filename && (!$ps_skyview_exists)) {
    echo fnps_getskyview_data ($ps_skyview_filename, $ps_skyview_Xsize, $ps_skyview_Ysize, $ps_wurastart, $ps_wudecstart, $ps_skyview_Yrange, $ps_cfg_skyview_grid, $ps_cfg_skyview_log, $ps_cfg_skyview_color);
    $ps_skyview_exists = is_readable ($ps_skyview_filename);
  }
}

if ($ps_setistatus_rawdata && $ps_gaussgraph_filename && $ps_cfg_creategauss && ($ps_gaussianpeak > 0) && (!$ps_gaussgraph_exists || $regenerate)) {
  fnps_drawgaussian ($ps_gaussian, $ps_gaussian_mean, ceil ($ps_gaussianpeak), $ps_gaussgraph_filename, $ps_gaussgraph_Xsize, $ps_gaussgraph_Ysize);
  $ps_gaussgraph_exists = is_readable ($ps_gaussgraph_filename);
}




?>
